SystemTrayMenu<img src="https://raw.githubusercontent.com/Hofknecht/SystemTrayMenu/master/Resources/SystemTrayMenu.ico" alt="Trulli" width="24" height="24">  
------------------
[![Build Status](https://dev.azure.com/MarkusHofknecht/SystemTrayMenu/_apis/build/status/Hofknecht.SystemTrayMenu?branchName=master)](https://dev.azure.com/MarkusHofknecht/SystemTrayMenu/_build)
[![All Releases](https://img.shields.io/github/downloads/Hofknecht/SystemTrayMenu/total.svg)](https://github.com/Hofknecht/SystemTrayMenu/releases)
[![Gitter](https://badges.gitter.im/SystemTrayMenu/community.svg)](https://gitter.im/SystemTrayMenu/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)

SystemTrayMenu is an improved open source toolbar for Windows.

![1](https://user-images.githubusercontent.com/52528841/83351457-61139b80-a344-11ea-9b20-343ad372bb1b.gif)
![2](https://user-images.githubusercontent.com/52528841/83351459-640e8c00-a344-11ea-8735-164185090dcd.gif)
![3](https://user-images.githubusercontent.com/52528841/83351460-6670e600-a344-11ea-80e9-e707cf1a9dc0.gif)

Download the latest official version:  
https://github.com/Hofknecht/SystemTrayMenu/releases/latest/download/SystemTrayMenu.zip
  

FAQ
------------------

**What do I have to do now as first steps?**  
  
SystemTrayMenu is portable so you do not have to install it.  
We would recommend to put the unzipped SystemTrayMenu folder into a folder like "Portable Tools" in the SystemTrayMenu root directory.  
  
1. Step: After starting the application the first time you have to **choose the root directory**.  
C:\Cloudfolder e.g. Seafile, NextCloud or Dropbox\your folder with links e.g. Tools or SystemTrayMenu  
e.g. C:\Seafile\Tools  
In this directory you should put shortcuts of folders and files (App, Game, Script, URL, Network),  
which you are often using and especially when you can not find them over the windows start menu search.  
You can also consider to put there all files from your desktop.  

2. Step: **Move the SystemTrayMenu icon** by drag and drop from the system tray **into the taskbar** below.  
![group icon out](https://user-images.githubusercontent.com/52528841/83349567-1ab74000-a336-11ea-8676-3db33615a57a.gif)

3. Step: Now it is ready to start - just **click on the icon** in the taskbar to open the SystemTrayMenu. 

**How can I change the root directory?**

You can change the root directory in the settings menu, that you can open by right clicking on the SystemTrayMenu icon.  

**What does the hotkey do?**

In the settings menu you can choose a hotkey to open and close the SystemTrayMenu.  

**Can the SystemTrayMenu launch on windows startup?**

Yes, you can select this option in the settings menu, that you can open by right clicking on the SystemTrayMenu icon.  

**What can I do if I have a problem, idea or question?**

If a problem has occured or you have any ideas or questions, you are welcome to contact us.  
Our contact information you can find in the About window, that can be opened by right clicking on the SystemTrayMenu icon.   


Security
------------------

Some antiviruses might flag this program as malicious, but it is not! The source is open, so you can compile it yourself.  


Build
------------------

Install Visual Studio 2019.  
Install .NET Core 3.1 SDK [https://dotnet.microsoft.com](https://dotnet.microsoft.com/download/dotnet-core/thank-you/sdk-3.1.300-windows-x64-installer).

Contributing
------------------

If you would like to contribute, everyone is welcome to.  
If you are considering a feature, need guidance, or want to talk about an idea, don't hesitate to create an issue here.  
When contributing please respect the style used by the codebase and consider the following rules:  
* Run FixCop.  
* Increase the version in the assembly file.  
* Add a commit message like: 
```
#79, #114, #115, #116, version 0.11.1.9
[Feature] Take RowHeight from main menu #116
[Feature] Show icon in taskbar when application is running #115
[Feature] Add outer frame to selection #114
[Bug] Screen Changes #79
```

* Commit either directly to the master branch or create a new branch if you are not sure with your changes 
https://guides.github.com/activities/hello-world/.  
* Update the issue and set the status to closed.  

Donations
------------------

We would be delighted if you could help us with the following:
* a star on this github project
* a like on [Facebook](https://www.facebook.com/Systemtraymenu-114069060335483)
* a review or rating on [Sourceforge](https://sourceforge.net/projects/systemtraymenu/)
* a post on Reddit (or [help me with my post](https://www.reddit.com/user/Equeslibertatis/comments/gz3uam/systemtraymenu/))
* your ideas either as issues here in github or directly per mail

Don't hesitate to donate if you appreciate SystemTrayMenu and would like to support our work.  
[![PayPal](https://www.paypalobjects.com/webstatic/de_DE/i/de-pp-logo-100px.png)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=Y9W6H5HXQPPUQ&source=url)

